summaryrefslogtreecommitdiffstats
path: root/system/pigz/pigz.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/pigz/pigz.SlackBuild')
-rw-r--r--system/pigz/pigz.SlackBuild84
1 files changed, 54 insertions, 30 deletions
diff --git a/system/pigz/pigz.SlackBuild b/system/pigz/pigz.SlackBuild
index ab0ffedf29..0c835d5b30 100644
--- a/system/pigz/pigz.SlackBuild
+++ b/system/pigz/pigz.SlackBuild
@@ -1,33 +1,62 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for pigz
-# Written by Max Miorim <miorimmax@gmail.com>
-
-# Currently maintained by Patrick Verner <distrozilla@gmail.com> as of 6/29/2013
-# Changelog...
-# Patched to fix missing -lm flag in Makefile. math_fix.diff
+# Copyright 2010 Max Miorim <miorimmax@gmail.com>
+# Copyright 2010 Diogo Leal <diogo@diogoleal.com>
+# Copyright 2012 Matteo Bernardini <ponce@slackbuilds.org>
+# Copyright 2013 Patrick Verner <distrozilla@gmail.com>
+# Copyright 2020 Dominik Drobek <dominik.drobek (at) o2.pl>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# 20220212 bkw: Modified by SlackBuilds.org: updated for v2.7.
+# Note: it looks like upstream removes the old source tarballs from their
+# site when they release a new version. So I hosted the source elsewhere.
+
+cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=pigz
-VERSION=${VERSION:-2.3}
+VERSION=${VERSION:-2.7}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -40,7 +69,7 @@ else
LIBDIRSUFFIX=""
fi
-set -e
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -50,34 +79,29 @@ tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
- \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-sed -i "s/^CFLAGS=.*/CFLAGS=$SLKCFLAGS/g" Makefile
-
-# Add missing -lm flag to Makefile
-patch -p1 < $CWD/math_fix.diff
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \+ -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \+
+# append our SLKCFLAGS to CFLAGS in the Makefile:
+sed -i "/^CFLAGS=/s/$/\ $SLKCFLAGS/" Makefile
make
-install -D -m 0755 pigz $PKG/usr/bin/pigz
-install -D -m 0755 unpigz $PKG/usr/bin/unpigz
+install -D -s -m 0755 pigz $PKG/usr/bin/pigz
+install -D -s -m 0755 pigz $PKG/usr/bin/pigz
install -D -m 0644 pigz.1 $PKG/usr/man/man1/pigz.1
+gzip $PKG/usr/man/man*/*
-find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-
-find $PKG/usr/man -type f -exec gzip -9 {} \;
-for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+# don't install pigz binary as unpigz, make a symlink instead:
+( cd $PKG/usr/bin ; ln -sf pigz unpigz )
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README pigz.pdf $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE